Open Infrastructure - Task #6671

Setup mastodon/pleroma for ungleich
05/09/2019 11:33 AM - Nico Schottelius

Status: Closed Start date: 05/09/2019
Priority: Normal Due date:

Assignee: Timothée Floure % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ See https:/twitter.com/ungleich/status/1126419948274966528 for an explanation
¢ OS: your choice
L]
[ ]

once manual for testing then port to cdist and create ___mastodon type

you don't have to use the mastodon server, but you can use an alternative like https://pleroma.social/
o at your decision

create a cdist type that works with alpine as the target host
o configure it && throw it away && reconfigure it

History

#1 - 05/09/2019 11:34 AM - Nico Schottelius

- Description updated

#2 - 05/09/2019 11:35 AM - Nico Schottelius

- Description updated

#3 - 06/25/2019 09:51 PM - Mirjana Rupar

Jin-Guk, update the status of the task and comment, please.

#4 - 06/26/2019 12:06 PM - Nico Schottelius
- Assignee deleted (Jin-Guk Kwon)

queued

#5 - 12/16/2019 08:29 PM - Nico Schottelius
- Description updated
- Due date deleted (05/10/2019)

- Assignee set to Timothée Floure

#6 - 12/17/2019 10:54 AM - Timothée Floure

- Status changed from New to Seen

| just gave a quick look at both the initial Mastodon implementation and Pleroma and will likely go with the later:

e The initial mastodon implementation has a lot of moving parts (Postgres, Redis, ElasticSearch, ...):
https://docs.joinmastodon.org/administration/configuration/
- => Pleroma only requires the erlang runtime + Postgres.

¢ Pleroma is written in Elixir, a 'compiled' (bytecode) language with support for releases (OTP releases). | am familiar with the environment and its
deployment process, which | find less painful than a ruby-on-rails one.

e Pleroma seems to support a feature set reasonably similar to the original one.

We will have to handle maintainance/watch for security update ourselve since no-one packaged these things due to the large dependency trees.

#7 - 12/17/2019 11:14 AM - Nico Schottelius

ack
https://twitter.com/ungleich/status/1126419948274966528
https://pleroma.social/
https://docs.joinmastodon.org/administration/configuration/

redmine@ungleich.ch writes:

#8 - 12/19/2019 09:59 AM - Nico Schottelius
- Priority changed from Normal to High

#9 - 01/15/2020 07:28 PM - Il nu

could we have a 13373r name?

#10 - 02/19/2020 11:12 AM - Il nu
- Assignee changed from Timothée Floure to Il nu

- Priority changed from High to Normal

#11 - 06/03/2020 08:11 AM - Timothée Floure

- Assignee changed from Il nu to Timothée Floure

| played a bit with Pleroma a few days/weeks ago: IPv6 support is totally broken. Erlang/elixir often separate calls/options for "inet" and "inet6", which
means someone has to think about IPv6 support at some point: it never happened on Pleroma.

* No LDAP support over IPv6 (blocker, but easy fix).
¢ No federation support for v6-only, goes down dependencies' dependencies: (can be worked around with a dual-stack VM, somewhat painful).

Since we want things to move on ['ll likely setup a mastodon/ruby deployment in the coming days.

#12 - 06/03/2020 08:11 AM - Timothée Floure

- Subject changed from Setup mastodon on IPv6 only VM - name: ipv6.social to Setup mastodon/pleroma for ungleich

#13 - 06/15/2020 09:55 AM - Timothée Floure

- Status changed from Seen to Closed

Mastodon is deployed at social.ungleich.ch.

https://redmine.ungleich.ch/projects/open-infrastructure/wiki/Socialungleichch doe bascis details.
